Bug Hunting Session
Bug 48387 - LibreOffice OpenGrok doesn't integrate well
Summary: LibreOffice OpenGrok doesn't integrate well
Status: NEW
Alias: None
Product: QA Tools
Classification: Unclassified
Component: General (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-06 09:22 UTC by Andrew
Modified: 2017-07-13 12:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup (279.65 KB, image/png)
2012-04-06 09:22 UTC, Andrew
Details
Patch for the opengrok branch (1.16 KB, patch)
2012-04-17 10:32 UTC, Andrew
Details
Correct patch (1.98 KB, patch)
2012-04-17 10:33 UTC, Andrew
Details
Updated patch (1.62 KB, patch)
2012-04-19 01:19 UTC, Thorsten Behrens (CIB)
Details
Updated patch (2.00 KB, patch)
2012-04-19 08:41 UTC, Andrew
Details
Patch #2 (2.03 KB, patch)
2012-04-19 10:33 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2012-04-06 09:22:52 UTC
Created attachment 59591 [details]
Mockup

The LibreOffice OpenGrok, being a very useful tool, should be more integrated into the website and more visible. Attached is a mockup of what I feel would be better
Comment 1 Andrew 2012-04-06 09:23:51 UTC
You can now see a working example at http://and471.github.com/
Comment 2 Andrew 2012-04-06 09:26:55 UTC
Basically the things to do are:

i   Make a link and a page on libreoffice.org which contains the search box code
ii  Edit the CSS and a bit of code in opengrok which makes the extra chrome on opengrok.libreoffice.org disappear when accessed with ?remote=true

iii Edit opengrok to produce better HTML so that the search results part of the mockup can actually be realised

(iii is harder as it means editing the source code of opengrok, so it could wait)
Comment 3 Andrew 2012-04-17 10:32:27 UTC
Created attachment 60198 [details]
Patch for the opengrok branch

Here is a patch which adds the "remote" id to the body tag if ?remote=true is present in the URL

Also it hides certain things (like the header) with CSS if the 'remote' id is present on the body tag
Comment 4 Andrew 2012-04-17 10:33:41 UTC
Created attachment 60199 [details]
Correct patch

Sorry wrong patch attached earlier, here is the correct one...
Comment 5 Thorsten Behrens (CIB) 2012-04-19 01:19:55 UTC
Created attachment 60297 [details]
Updated patch

You meant the following patch?
Comment 6 Thorsten Behrens (CIB) 2012-04-19 01:20:54 UTC
With this patch applied, tomcat spews this error:

java.lang.NullPointerException
	at org.apache.jsp.search_jsp._jspService(search_jsp.java:456)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:374)
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:342)
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:267)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:286)
	at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)
	at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)
	at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:769)
	at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:698)
	at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:891)
	at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)
	at java.lang.Thread.run(Thread.java:736)
Comment 7 Andrew 2012-04-19 02:44:42 UTC
Attachment 60199 [details] is the patch generated for the git branch (it adds a
remote-attribute.diff patch into the patches folder which is applied
with bin/apply-fixes
and modifies the CSS file style.css)

Does the same error occur with attachment 60199 [details]?

On 19/04/2012, bugzilla-daemon@freedesktop.org
<bugzilla-daemon@freedesktop.org> wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=48387
>
> tbehrens@suse.com changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |NEW
>                  CC|                            |tbehrens@suse.com
>      Ever Confirmed|0                           |1
>
> --- Comment #6 from tbehrens@suse.com 2012-04-19 01:20:54 PDT ---
> With this patch applied, tomcat spews this error:
>
> java.lang.NullPointerException
>     at org.apache.jsp.search_jsp._jspService(search_jsp.java:456)
>     at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
>     at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
>     at
> org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:374)
>     at
> org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:342)
>     at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:267)
>     at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
>     at
> org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
>     at
> org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
>     at
> org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
>     at
> org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
>     at
> org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)
>     at
> org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
>     at
> org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
>     at
> org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:286)
>     at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)
>     at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)
>     at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:769)
>     at
> org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:698)
>     at
> org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:891)
>     at
> org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)
>     at java.lang.Thread.run(Thread.java:736)
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 8 Thorsten Behrens (CIB) 2012-04-19 05:26:37 UTC
(In reply to comment #7)
> Does the same error occur with attachment 60199 [details] [review]?
> 
Yes.
Comment 9 Andrew 2012-04-19 08:41:48 UTC
Created attachment 60318 [details]
Updated patch

Okay this should hopefully work now as it checks if the attribute is non-null before the checks if it is equal to "true"
Comment 10 Andrew 2012-04-19 10:33:23 UTC
Created attachment 60331 [details]
Patch #2

Another patch :)

This (git) patch fixes a bug where if you click on a different search result page, the page doesn't behave remotely (as it doesn't have remote=true in the link).

It also adds some padding to the top of the remote page
Comment 11 Michael Meeks 2012-05-08 13:49:18 UTC
no update in quite some time, and pending opengrok patch to review :-)
Comment 12 Andrew 2012-05-08 23:28:16 UTC
Sorry got exams at the moment so patch will have to wait :/
Comment 13 Thorsten Behrens (CIB) 2012-07-26 12:50:36 UTC
(In reply to comment #12)
> Sorry got exams at the moment so patch will have to wait :/
>
Committed the remaining patches to the website repo (from your patch2), did not yet make changes live - Cedric will on the next update.

Assigning bug to you, as the guy working on this.
Comment 14 Cédric Bosdonnat 2014-01-20 09:00:31 UTC
Restricted my LibreOffice hacking area
Comment 15 Xisco Faulí 2017-07-13 12:43:16 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue